Subject: Re: [PATCH v3] home: fontutils: Support user's fontconfig.

From: Taiju HIGASHI <[email-masked]>
Date: Thu, 29 Sep 2022 23:46:13 +0900

Hi Liliana,

I've sent you the v4 patch.

Taiju HIGASHI <[email-masked]> writes:

> Liliana Marie Prikler <[email-masked]> writes:
>
>>> -(define (add-fontconfig-config-file he-symlink-path)
>>> +(define-record-type* <default-font> default-font
>>> +  make-default-font
>>> +  default-font?
>>> +  (serif default-font-serif (default ""))
>>> +  (sans-serif defalut-font-sans-serif (default ""))
>>> +  (monospace default-font-monospace (default "")))
>> Is the empty string a meaningful value in these places?
>
> Sure, It is not meaningful.  I would remove the default value.

I couldn't remove the default value because without a default value, for
example, it can't specify only serifs.
However, I've changed the serialization of the field so that it is now a
comfortable default value.

Cheers,
-- 
Taiju